<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosFileTransfer_&shy;VirtualFileSystem</title>
    <shorttitle>..._VirtualFileSystem</shorttitle>
    <prepared></prepared>
    <docno></docno>
    <checked></checked>
    <date>2000-11-09</date>
    <rev>PA1</rev>
  </header>
  <module>CosFileTransfer_VirtualFileSystem</module>
  <modulesummary>This module implements the OMG CosFileTransfer::VirtualFileSystem interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosFileTransfer/include/*.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>'_get_file_system_type'(VFS) -> Return</name>
      <fsummary>Return the target object's associated file system</fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>Return = 'FTP' | 'NATIVE'</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's associated
          file system.</p>
      </desc>
    </func>
    <func>
      <name>'_get_supported_content_types'(VFS) -> Return</name>
      <fsummary>Return the target object's supported  content types.</fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>Return = </v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's supported 
          content types.</p>
      </desc>
    </func>
    <func>
      <name>login(VFS, User, Password, Account) -> Return</name>
      <fsummary>Create a new instance of a <c>FileTransferSession</c>and a <c>Directory</c></fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>User = Password = Account = string()</v>
        <v>Return = {FileTransferSession, Directory} | {'EXCEPTION', E}</v>
        <v>FileTransferSession = Directory = #objref</v>
      </type>
      <desc>
        <p>This operation creates a new instance of a <c>FileTransferSession</c>
          and a <c>Directory</c>. The later represents the current working
          directory of the returned <c>FileTransferSession</c>.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

